/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/*Fluid Type*/
h1 {font-size: clamp(2.625rem, 1.464rem + 3.714vw, 4.25rem); line-height:1.1em!important;}/*68px - 38px*/
h2 {font-size: clamp(2rem, 0.839rem + 3.714vw, 3.625rem); line-height:1.1em!important;}/*58px - 32px*/
h3 {font-size: clamp(1.625rem, 1.417rem + 0.667vw, 2rem); line-height:1.1em!important;}/*32px - 26px*/
h4 {font-size: clamp(1.375rem, 1.236rem + 0.444vw, 1.625rem); line-height:1.1em!important;}/*26px - 22px*/
h5 {font-size:clamp(1.1875rem, 1.16803rem + 0.082vw, 1.25rem); line-height:1.1em!important;}/*20px - 19px*/
p {font-size: clamp(1rem, 1rem + 0vw, 1rem);}/*16px - 16px*/
body {font-size: clamp(1rem, 1rem + 0vw, 1rem);}/*16px - 16px*/

/*Fluid Type Extras*/
.h1-home h1 {font-size: clamp(2.125rem, 1.188rem + 3vw, 3.438rem); line-height:1.1em;}/*55px - 34px*/
.h2-xxl h2 {font-size: clamp(2.125rem, 1.188rem + 3vw, 3.438rem); line-height:1.1em;}/*55px - 34px*/

.para-xxl p {font-size: clamp(2.125rem, 1.188rem + 3vw, 3.438rem); line-height:1.1em;}/*55px - 34px*/
.para-xl p {font-size: clamp(1.875rem, 1.458rem + 1.333vw, 2.625rem); line-height:1.1em!important;}/*42px - 30px*/
.para-lg p {font-size: clamp(1.625rem, 1.417rem + 0.667vw, 2rem); line-height:1.1em!important;}/*32px - 26px*/
.para-m p {font-size: clamp(1.375rem, 1.236rem + 0.444vw, 1.625rem); line-height:1.1em;}/*26px - 22px*/
.p-sm p {font-size: 14px;}
.p-event-header p{font-size: clamp(2.125rem, 1.79891rem + 1.373vw, 3rem); line-height:1em!important;}/*48px - 34px*/

.single-post h1 {font-size: clamp(1.75rem, 1.5638rem + 0.784vw, 2.25rem); line-height:1em!important;}/*36px - 28px*/
.single-post h2 {font-size: clamp(1.375rem, 1.32845rem + 0.196vw, 1.5rem); line-height:1.1em!important;}/*24px - 22px*/
.single-post h3 {font-size: clamp(1.25rem, 1.20345rem + 0.196vw, 1.375rem); line-height:1.1em!important;}/*22px - 20px*/

/* .elementor-widget-text-editor{margin-bottom:-20px !important;} */

/*Fluid Padding*/
.wrapper-hero{padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem);}/*100px - 60px*/
.wrapper-hero-internal{
  padding-top: clamp(5.625rem, 3.99504rem + 6.863vw, 10rem);/*160px - 90px*/
  padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
  padding-bottom: clamp(3.125rem, 2.54099rem + 2.459vw, 5rem)!important;/*80px-50px*/
  padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}

.wrapper-pagetitle{
  padding-top: clamp(5.625rem, 3.99504rem + 6.863vw, 10rem) !important;/*160px - 90px*/
  padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
  padding-bottom: clamp(1.875rem, 1.458rem + 1.333vw, 2.625rem) !important;
  padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}

.wrapper-main{
    padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
    padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}  


.wrapper-no-top{
    padding-top: 0 !important;
    padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
    padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}

.wrapper-no-bottom{
    padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
    padding-bottom: 0 !important;
    padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}

.wrapper-no-topbottom{
    padding-top: 0 !important;
    padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
    padding-bottom: 0 !important;
    padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}/*when you want the image to be flush with the top and bottom of the section*/

.wrapper-no-leftright{
    padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-right: 0 !important;
    padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
    padding-left: 0 !important;
} 


.wrapper-text-left{
  padding-right: clamp(0rem, -1.16423rem + 4.902vw, 3.125rem)!important;/*50px-0px*/
}
.wrapper-text-right{
  padding-left: clamp(0rem, -1.16423rem + 4.902vw, 3.125rem)!important;/*50px-0px*/
}

.wrapper-bleedingInner-text{
  padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-right: 0px;
  padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-left: 0px;
}



@media only screen and (max-width: 1260px){
.wrapper-bleedingInner-text{
  padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
  padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}
}/*END 1024px*/


@media only screen and (max-width: 544px){
.wrapper-bleedingInner-text{
  padding-top: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-right: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
  padding-bottom: clamp(3.75rem, 2.81853rem + 3.922vw, 6.25rem)!important;/*100px-60px*/
  padding-left: clamp(1.25rem, 1.48275rem + -0.98vw, 0.625rem)!important;
}
}/*END 544px*/



.grecaptcha-badge {visibility: hidden;}

html{overflow-x: hidden;}
body { overflow: hidden; /* Hide scrollbars */}
.alink a{text-decoration: underline !important; color:black;}
.alink a:hover{color:#0240FF;}
.blog-alink a{color:black; text-decoration: underline !important; font-weight:500;}
.white-links a{color:white !important; text-decoration: underline !important; font-weight:500;}

.bullets ol,
.bullets ul {
  margin: 0 0 1.5em 1em !important; /*Removes indent from bulleted lists*/
}

.bullets li {
  margin-bottom: 6px;
}
/*To have coloured bullets use the following 2 code blocks*/

/*coloured bullets using the before tag*/
.bullets-coloured ul li::marker {
  color: #009D98;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

/*coloured bullets using the before tag*/
.bullets-coloured-arrow ul li::marker {
  content: "> > ";
  color: #ffffff;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.bullets-coloured-blue ul li::marker {
  color: #0f2c4a;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}


.elementor-element.transparentheader {
  z-index: 998;
  transition: all ease-in-out 0.4s;
}
.elementor-element.transparentheader {
   position: absolute;
/*   top: 40px; */
background: linear-gradient(180deg,rgba(244, 244, 244, 1) 0%, rgba(244, 244, 244, 0) 100%); !important;
  border-bottom: 0px solid rgba(255, 255, 255, 0.1);
  transition: all 0.4s;
  left: 0;
  width: 100% !important;
  padding:30px 20px;
}
/* sticky header styles*/
.transparentheader.elementor-sticky--effects {
  position: fixed; /* Change from absolute to fixed */
  top: 0 !important; /* Position at the top of the viewport */
  background-color: #F4F4F4 !important;
  width: 100%; /* Ensure the header spans the full width */
  padding:10px 20px;
}

/* .transparentheader.elementor-sticky--effects{
transition: background-color 1s ease !important;
}
.transparentheader.elementor-sticky--effects > .elementor-element{
min-height: 500px !important;
} */

.transparentheader > .elementor-element {
  max-width: 1200px; /* Limit the width of the header content */
  margin: 0 auto; /* Center the header content horizontally */
}
.transparentheader.elementor-sticky--effects .elementor-widget-image a img {
width: 120px !important;
  transition: 0.7s ease-in-out !important;
}


/*-----------------CARDS-----------------*/
.services-cards:hover{background-color: #26273c !important; color: #ffffff !important;}
.services-cards:hover p{color: white;}


.centre-absolute {
  left: 0; 
  right: 0; 
  margin-left: auto; 
  margin-right: auto; 
  width: 450px; /* Need a specific value to work */
}

.centre-absolute-element-wrap{position: relative;}
.centre-absolute-element {
    position: absolute;
    left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      margin: 0 auto;
}


 /*MAP STYLES*/
 .leaflet-bottom {
    bottom: 0;
    display: none;
  }
/*   .leaflet-tile-pane {
    filter: grayscale(1);
  }  */

  /* Gravity Forms */
.gform_wrapper.gravity-theme input[type=color], .gform_wrapper.gravity-theme input[type=date], .gform_wrapper.gravity-theme input[type=datetime-local], .gform_wrapper.gravity-theme input[type=datetime], .gform_wrapper.gravity-theme input[type=email], .gform_wrapper.gravity-theme input[type=month], .gform_wrapper.gravity-theme input[type=number], .gform_wrapper.gravity-theme input[type=password], .gform_wrapper.gravity-theme input[type=search], .gform_wrapper.gravity-theme input[type=tel], .gform_wrapper.gravity-theme input[type=text], .gform_wrapper.gravity-theme input[type=time], .gform_wrapper.gravity-theme input[type=url], .gform_wrapper.gravity-theme input[type=week], .gform_wrapper.gravity-theme select, .gform_wrapper.gravity-theme textarea{
    border-radius:8px;
    padding:8px 12px !important;
    background:#ffffff;
  }
  .gform_wrapper.gravity-theme input[type="submit"] {
    /* font-family: Montserrat, sans-serif !important; */
    color: white;
	background: linear-gradient(90deg,rgba(0, 157, 152, 1) 0%, rgba(0, 222, 147, 1) 100%);

}
  .gform_wrapper.gravity-theme input[type="submit"]:hover{
    background-color:#00DE93;
    color:black;
  }
  
  .gform_confirmation_wrapper{
    background-color: white;
    padding:20px;
    border: 1px solid black;
  }
  
  .gform_required_legend{display:none !important;}
 
  

  .gfield_consent_label{color:black;}
  .gfield_consent_label a:hover{color:black; text-decoration: underline;}
  .gfield_consent_label a{color:black; text-decoration: underline;}



/*EVENTS*/

.tribe-events button.tribe-events-c-top-bar__datepicker-button:hover{background-color:transparent !important;}
#tribe-events-pg-template {
  width: 100% !important;
  padding: 0 !important;
  max-width: 100% !important;
}
.tribe_events-template-default .grid-container {
  margin-left: auto;
  margin-right: auto;
  max-width: 100% !important;
}
.tec-events-elementor-event-widget__venue .tec-events-elementor-event-widget__venue-details>*{padding:0 !important; margin:0 !important;}
.tec-events-elementor-event-widget__venue .tec-events-elementor-event-widget__venue-details{padding:0 !important; margin:0 !important;}
.tec-events-elementor-event-widget__venue .tec-events-elementor-event-widget__venue-container{margin:0 !important; padding:0 !important; border:0px !important;}


/*css for heading, read more link text, meta field*/
.eventful__item .ta-efpe-post {
    box-shadow: 0px 0px 0px 0px rgb(225, 225, 225) !important;
}
/* .event_meta_address{display:block !important;}
.eventful .eventful__item--title a, .eventful .eventful_pro__item--title a {color:#E85851 !important;}
.eventful .eventful__item--title a:hover, .eventful .eventful_pro__item--title a:hover {color:#1d1d1d !important;}
.eventful .eventful__item__link, .eventful .eventful_pro__item__link {
  display: block;
  margin-top: 20px;
} */
/*setting height and object cover on featured image*/
/* .eventful .eventful__item--thumbnail img, .eventful .eventful_pro__item--thumbnail img {
  max-width: 100%;
  transition: ease all .3s;
  height: 260px !important;
  object-fit: cover !important;
  object-position: center !important;
} */
/*width of select dropdowns*/
/* .eventful_pro_filter_wrapper .eventful_pro_select_area {
  max-width: 250px !important;
} 
 .eventful .eventful_pro__item__readmore a {
    display: inline-block;
    box-shadow: 0 0 0;
    text-decoration: none;
    font-weight: bold;
} 
.eventful .eventful_pro__item--title {
    margin: var(--event_title_margin);
    font-weight: bold;
}
.eventful-pro-load-more button {
    font-weight: bold !important;
} */

.eventful_pro__item.theme-three .date_meta {
    z-index: 3 !important;
}

.ta-eventful-pro-section img {
    height: 180px !important;
    object-fit: cover;
    object-position: center;
} 


  /*---------------------------------MEDIA QUERIES-----------------------------------------*/

@media (min-width: 768px) and (max-width: 1023px){
	.hidebr{display:none;}
   }/*END 1024px*/
   
   
   @media only screen and (max-width: 767px){
.hidebr{display:none;}
   
   }/*END 768px*/
   
   
   @media only screen and (max-width: 544px){
 .hidebr{display:none;}
       .hide-mobile{display:none;}

   }/*END 544px*/
   